View Issue Details

IDProjectCategoryView StatusLast Update
0035704LazarusTAChartpublic2019-06-13 01:38
ReporterMarcin WiazowskiAssigned Towp 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version2.1 (SVN)Product Build61359 
Target VersionFixed in Version 
Summary0035704: TAChart: trivial mistake in "tools" demo
DescriptionIn tachart\demo\tools\main.pas, there is:


procedure TForm1.cbFixedPointChange(Sender: TObject);
var
  t: TChartTool;
begin
  for t in ChartToolset1.Tools do
    if t is TBasicZoomStepTool then
      TBasicZoomTool(t).FixedPoint := cbFixedPoint.Checked;
end;


This doesn't compile - TBasicZoomTool(t) should be changed to TBasicZoomStepTool(t).
TagsNo tags attached.
Fixed in Revision61371
LazTarget2.2
WidgetsetWin32/Win64
Attached Files

Relationships

related to 0035614 closedwp TAChart: some tiny optimization 

Activities

wp

2019-06-12 22:27

developer   ~0116703

Done. Thanks for reporting.

Marcin Wiazowski

2019-06-13 01:38

reporter   ~0116706

Thanks.

Issue History

Date Modified Username Field Change
2019-06-11 21:38 Marcin Wiazowski New Issue
2019-06-12 14:19 wp Assigned To => wp
2019-06-12 14:19 wp Status new => assigned
2019-06-12 22:23 wp Relationship added related to 0035614
2019-06-12 22:27 wp Status assigned => resolved
2019-06-12 22:27 wp Resolution open => fixed
2019-06-12 22:27 wp Fixed in Revision => 61371
2019-06-12 22:27 wp LazTarget => 2.2
2019-06-12 22:27 wp Widgetset Win32/Win64 => Win32/Win64
2019-06-12 22:27 wp Note Added: 0116703
2019-06-13 01:38 Marcin Wiazowski Status resolved => closed
2019-06-13 01:38 Marcin Wiazowski Note Added: 0116706